/* YAWN, Yet Another Web Navigator */
/* Copyright (C) 1997, 1998, James Troup <jjtroup@comp.brad.ac.uk>
 *                     Lee Willis <lwillis@comp.brad.ac.uk> */

/* This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk/gtk.h>
#include "alyson.h"
#include "smg.h"

void gtk_menu_factory_parse_accelerator (const char *accelerator,
					 char *accelerator_key,
					 guint8 * accelerator_mods);

GtkWidget *paula_menu_new (GtkWidget * menubar, const char *name, BrowserWindow * bw);
void paula_menu_add (GtkWidget * menu, const char *name, const char *accelerator,
		 BrowserWindow * bw, void (*callback) (GtkWidget * widget));

GtkWidget *menu_init (BrowserWindow * bw);
void menu_file_quit_callback (GtkWidget * widget);
