/* YAWN, Yet Another Web Navigator */
/* Copyright (C) 1998, James Troup <jjtroup@comp.brad.ac.uk>
 *                     Lee Willis <lwillis@comp.brad.ac.uk> */

/* This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef SATURN_GIRL_H
#define SATURN_GIRL_H

#include <gtk/gtk.h>
#include "lisa.h"
#include "neve.h"

/* Supported URL scheme types.
 *
 * Included here, for convenience, otherwise random things (e.g. the
 * parser) need to know about chloe, which is non-modular. */

typedef enum _scheme_type scheme_type;
enum _scheme_type {
  file = 1, http
};

typedef struct
  {
    GtkWidget *main_window;
    GtkAcceleratorTable *accelerator_table;
    GtkWidget *lisa;
    GtkWidget *url_entry;
    char *title;
    /* URL */
    scheme_type scheme;
    char *hostname;
    char *path;
    int port_number;
  }
BrowserWindow;

#endif /* SATURN_GIRL_H */
