/* YAWN, Yet Another Web Navigator */
/* Copyright (C) 1998, James Troup <jjtroup@comp.brad.ac.uk>
 *                     Lee Willis <lwillis@comp.brad.ac.uk> */

/* This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gdk/gdk.h>
#include "utils.h"
#include "neve.h"
#include "lisa.h"

#ifndef __RENDER_H__
#define __RENDER_H__

void render_line (louise * line_cache, GtkLisa * lisa, GdkRectangle * area, int *real_y);
void backup_to_last_whitespace (const neve_in_chains * neve, const int start_of_region,
		     int *end_of_region, int *x_coordinate, GdkFont * font);
void render_header (neve_in_chains *neve, int *font_size);

static int font_levels[] = { 11, 12, 14, 17, 20, 24, 34, 11, 12, 14, 17, 20, 24 }; 

#endif /* __RENDER_H__ */
