/* YAWN, Yet Another Web Navigator */
/* Copyright (C) 1998, James Troup <jjtroup@comp.brad.ac.uk>
 *                     Lee Willis <lwillis@comp.brad.ac.uk> */

/* This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/** lisa_scrolling - Code for adjustments and scrolling **/

void gtk_lisa_adjustment (GtkAdjustment * adjustment, GtkLisa * lisa);
void gtk_lisa_disconnect (GtkAdjustment * adjustment, GtkLisa * lisa);
void scroll_int (GtkLisa * lisa, int diff);
void adjust_adj (GtkLisa * lisa, GtkAdjustment * adj);
void gtk_lisa_set_adjustments (GtkLisa * text, GtkAdjustment * hadj, GtkAdjustment * vadj);
void scroll_down (GtkLisa * lisa, int diff);
void scroll_up (GtkLisa * lisa, int diff);

#define SCROLL_PIXELS            14
#define KEY_SCROLL_PIXELS        14
