/* YAWN, Yet Another Web Navigator */
/* Copyright (C) 1998, James Troup <jjtroup@comp.brad.ac.uk>
 *                     Lee Willis <lwillis@comp.brad.ac.uk> */

/* This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __ATTRIB_UTILS_H__
#define __ATTRIB_UTILS_H__

#include "neve.h"

int get_bit(const char *document, long *index);
int skip_equals(const char *document, long *index);
long handle_value (const char *document, long *index);
int hex_to_dec (char s);
int convert_hex (const char *document, long *index);
void skip_attribs (const char *document, long *index);
void fill_in_alt(neve_in_chains *node);

#endif /* __ATTRIB_UTILS_H__ */
