/* YAWN, Yet Another Web Navigator */
/* Copyright (C) 1998, James Troup <jjtroup@comp.brad.ac.uk>
 *                     Lee Willis <lwillis@comp.brad.ac.uk> */

/* This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#define BUF_SIZE 1024
#define MAX_HREF_SIZE 1024

#define SUCCESS 1
#define FAILURE 0

int my_tagcmp (char *text1,const char *text2, int length);
void fold(char *buffer);
int scan (char *document, long *index, char *text, int preformatted, int prev_tag);
int parse_tag(char *text, long *i, char *text_buffer);
void parse_comment(char *text, long *i);
int match_tag ( char *text, long *i);
