/* YAWN, Yet Another Web Navigator */
/* Copyright (C) 1998, James Troup <jjtroup@comp.brad.ac.uk>
 *                     Lee Willis <lwillis@comp.brad.ac.uk> */

/* This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#define ADDRESS 1
 /* A tag */
#define ANCHOR 2
#define APPLET 3
#define AREA 4
#define BASE 5
#define BASEFONT 6
#define BIG 7
#define BLOCKQUOTE 8
#define BODY 9
/* B tag */
#define BOLD 10 
#define BR 69
#define CAPTION 11
#define CENTER 12
#define CITE 13
#define CODE 14
#define DD 15
#define DFN 16
#define DIR 17
#define DIV 18
/* DL tag */
#define DL 19 
/* DT tag */
#define DT 20
/* EM tag */ 
#define EMPHASIS 21
#define FONT 22
#define FORM 23
#define H1 24
#define H2 25
#define H3 26
#define H4 27
#define H5 28
#define H6 29
#define HEAD 30
/* HR tag */
#define HRULE 31
#define HTML 70
/* IMG tag */
#define IMAGE 32
#define INPUT 33
#define ISINDEX 34
/* I tag */
#define ITALIC 35
#define KBD 36
#define LINK 37
#define LIST 38
#define LISTING 39
#define MAP 40
#define MENU 41
#define META 42
/* OL tag */
#define OLIST 43
#define OPTION 44
#define PARAGRAPH 45
#define PARAM 46
#define PLAINTEXT 47
/* PRE tag */
#define PRE 48
#define SAMP 49
#define SCRIPT 50
#define SELECT 51
#define SMALL 52
#define STRIKE 53
#define STRONG 54
#define STYLE 55
/* SUB tag */
#define SUBSCRIPT 56
/* SUP tag */
#define SUPSCRIPT 57
#define TABLE 58
#define TD 59
/* TT tag */
#define TELETYPE 60
#define TEXTAREA 61
#define TH 62
#define TITLE 63
#define TR 64
/* UL tag */
#define ULIST 65
#define UNDERLINE 66
#define VAR 67
#define XMP 68

/* This will be returned by match_tag if it doesn't know the tag */
#define COMMENT 99
#define UNRECOGNIZED 100
#define TEXT 101
#define END_OF_DOC 102

/* This is ANDed with the tag number if it is a closing tag */
#define CLOSETAG 128
